Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class DecorationEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gmf.runtime.gef.ui.internal.editpolicies.GraphicalEditPolicyEx
                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.DecorationEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class DecorationEditPolicy
extends org.eclipse.gmf.runtime.gef.ui.internal.editpolicies.GraphicalEditPolicyEx

This editpolicy is responsible for adding the decorations from the `DecoratorService`. The decorations are added to a different layer so that they have the option of being printed or not.

Nested Class Summary
`class` `DecorationEditPolicy.DecoratorTarget` The decoratorTarget object to be passed to the service.

Field Summary
`protected java.util.Map` `decorators` the decorators

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`DecorationEditPolicy()`

Method Summary
`void` `activate()` Activates all the decorators.
`void` `deactivate()` Deactivates all the decorators.
`protected java.util.Map` `getDecorators()` Returns the decorators
`int` `getPositionConstant(IDecoratorTarget.Direction direction)` Converts the direction to an int as defined in PositionConstant.
`void` `refresh()` Updates all the decorations for the host editpart by calling refresh() on each of the decorators installed on this editpart.
`protected void` `setDecorators(java.util.Map decorators)` Sets the decorators

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getCommand, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### decorators

    protected java.util.Map decorators

  the decorators

Constructor Detail

### DecorationEditPolicy

    public DecorationEditPolicy()

Method Detail

### refresh

    public void refresh()

  Updates all the decorations for the host editpart by calling refresh() on each of the decorators installed on this editpart. If this is the first time refresh() is called, then the `DecorationService` is first called to create the decorators.

  See Also:
    `GraphicalEditPolicyEx.refresh()`

### activate

    public void activate()

  Activates all the decorators.

  See Also:
    `EditPolicy.activate()`

### deactivate

    public void deactivate()

  Deactivates all the decorators.

  See Also:
    `EditPolicy.deactivate()`

### getDecorators

    protected final java.util.Map getDecorators()

  Returns the decorators

  Returns:
    the decorators.

### setDecorators

    protected final void setDecorators(java.util.Map decorators)

  Sets the decorators

  Parameters:
    `decorators` - The decorators to set.

### getPositionConstant

    public int getPositionConstant(IDecoratorTarget.Direction direction)

  Converts the direction to an int as defined in PositionConstant.

  Parameters:
    `direction` -
  Returns:
    the int as defined in PositionConstant

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.